Skip to content

GetOperation

Request

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

Security
oauth2_client_credentials or oauth2_authorization_code
Path
entitystringrequired

The entity id.

individualEntityRiskRatingJobstringrequired

The individualEntityRiskRatingJob id.

operationstringrequired

The operation id.

curl -i -X GET \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/individualEntityRiskRatingJobs/{individualEntityRiskRatingJob}/operations/{operation}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
One of:

This resource represents a long-running operation that is the result of a network API call.

namestring(name)

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject(metadata)

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

doneboolean(done)

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject(error)required

The error result of the operation in case of failure or cancellation.

Response
{ "name": "string", "metadata": { "type": "string", "value": "string" }, "done": true, "error": { "code": 0, "message": "string", "details": [] } }